#!/usr/bin/env python
'''Phase field programm for Cahn-Hillard equation
# Copyright (c) 2013 Benoit appolaire <benoit.appolaire@onera.fr>
# and Yann Le Bouar <yann.lebouar@onera.fr>
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be 
# included in all copies or substantial portions of the Software.
'''

import sys
from pylab import *
from numpy import load



#______________________________________________________________________________
#		This is the main program which will be run when invoking the script

if __name__ == "__main__":
#______________________________________________________________________________


	name = 'phi10.npz'


	res = load(name)
	phi = res['phi']

	ix  = 50


	figure(1,figsize=(11,5))
	ax1 = axes([0.05,0.15,0.4,0.8])
	imshow(phi,interpolation='nearest',origin='lower',\
						 		cmap=cm.gray,vmin=0.,vmax=1.)
	axhline(ix,color='r')
	xticks([])
	yticks([])


	ax2 = axes([0.53,0.15,0.44,0.8])
	plot(phi[ix,:],'r-o',linewidth=1.5)
	axis([0,len(phi)-1,-0.01,1.01])
	xlabel('$x$',fontsize=24)
	ylabel('$\phi$',fontsize=24)


	show()

